<template>
    <!-- START PAGE-CONTAINER -->
    <div class="page-container">
        <page-header></page-header>
        <!-- START PAGE CONTENT WRAPPER -->
        <div class="page-content-wrapper">
            <!-- START PAGE CONTENT -->
            <div class="content">
                <breadcrumb></breadcrumb>
                <!-- START CONTAINER FLUID -->
                <div class="container-fluid container-fixed-lg">
                    <!-- START PANEL -->
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <div class="panel-title">Dropdown Controls
                            </div>
                            <div class="tools">
                                <a href="javascript:;" class="collapse"></a>
                                <a href="#grid-config" data-toggle="modal" class="config"></a>
                                <a href="javascript:;" class="reload"></a>
                                <a href="javascript:;" class="remove"></a>
                            </div>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-sm-4">
                                    <p>We've simplified our dropdown buttons by getting rid of the dedicated dropdown associated with them, this looks more clean and also available in all different colors</p>
                                    <br>
                                    <v-select v-model="selected1" :options="options1"></v-select>
                                    <!--<select class="cs-select cs-skin-slide" data-init-plugin="cs-select">-->
                                        <!--<option value="sightseeing">Web-safe</option>-->
                                        <!--<option value="business">Helvetica</option>-->
                                        <!--<option value="honeymoon">SegeoUI</option>-->
                                    <!--</select>-->
                                    <br>
                                    <br>
                                    <p class="small">The button will be automatically sized according to the visible content size. Make sure there is enough room for the hidden content to show</p>
                                </div>
                                <div class="col-sm-4">
                                    <h5>
                                        Simple dropdowns
                                    </h5>
                                    <p>These are highly customizable dropdowns that come with search option for use to search</p>
                                    <form role="form">
                                        <div class="form-group">
                                            <v-select v-model="selected2" :options="options2"></v-select>
                                        </div>
                                    </form>
                                </div>
                                <div class="col-sm-4">
                                    <h5>
                                        Multi select
                                    </h5>
                                    <p>Fancy multiselect option box. Customized for the anypreference</p>
                                    <br>
                                    <v-select multiple v-model="selected3" :options="options3"></v-select>

                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4">
                                    <h4>Vue Select - Taggable</h4>
                                    <v-select taggable></v-select>

                                    <h4>Vue Select - Taggable &amp; Push-Tags</h4>
                                    <v-select taggable push-tags></v-select>
                                    <small class="muted">Try adding a tag and removing it. It'll still be present within the options list.</small>
                                </div>
                                <div class="col-sm-4">
                                    <h4>Vue Select - Custom Option Templating</h4>
                                    <v-select :options="options5" label="title">
                                        <template slot="option" slot-scope="option">
                                            <span class="fa" :class="option.icon"></span>
                                            {{ option.title }}
                                        </template>
                                    </v-select>
                                </div>
                                <div class="col-sm-4">
                                    <h4>Vue Select - Ajax</h4>
                                    <v-select label="name" :filterable="false" :options="options6" @search="onSearch">
                                        <template slot="no-options6">
                                            type to search GitHub repositories..
                                        </template>
                                        <template slot="option" slot-scope="option">
                                            <div class="d-center">
                                                <img :src='option.owner.avatar_url'/>
                                                {{ option.full_name }}
                                            </div>
                                        </template>
                                        <template slot="selected-option" slot-scope="option">
                                            <div class="selected d-center">
                                                <img :src='option.owner.avatar_url'/>
                                                {{ option.full_name }}
                                            </div>
                                        </template>
                                    </v-select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- END PANEL -->
                </div>
                <!-- END CONTAINER FLUID -->
            </div>
            <!-- END PAGE CONTENT -->
        </div>
        <!-- END PAGE CONTENT WRAPPER -->
        <page-footer></page-footer>
    </div>
    <!-- END PAGE CONTAINER -->
</template>

<script>
import PageHeader from './PageHeader';
import PageFooter from './PageFooter';
import Breadcrumb from './Breadcrumb';

export default {
    components: {
        PageHeader,
        PageFooter,
        Breadcrumb
    },
    name: 'FormElements',
    data() {
        return {
            selected1: null,
            options1: [
                {label: 'Web-safe', value: 'sightseeing'},
                {label: 'Helvetica', value: 'business'},
                {label: 'SegeoUI', value: 'honeymoon'}
            ],
            selected2: null,
            options2: [
                {label: 'Alaskan/Hawaiian Time Zone', value: 'AH'},
                {label: 'Pacific Time Zone', value: 'PT'},
                {label: 'Mountain Time Zone', value: 'MT'},
                {label: 'Central Time Zone', value: 'CT'},
                {label: 'Eastern Time Zone', value: 'ET'},
            ],
            selected3: null,
            options3: [
                {label: 'Jim', value: 'Jim'},
                {label: 'John', value: 'John'},
                {label: 'Lucy', value: 'Lucy'},
            ],
            selected4: null,
            options4: [],
            selected5: null,
            options5: [
                {
                    title: 'Read the Docs',
                    icon: 'fa-book'
                },
                {
                    title: 'View on GitHub',
                    icon: 'fa-github'
                },
                {
                    title: 'View on NPM',
                    icon: 'fa-database'
                },
                {
                    title: 'View Codepen Examples',
                    icon: 'fa-pencil'
                }
            ],
            options6: [],
        }
    },
    methods: {
        onSearch(search, loading) {
            loading(true);
            this.search(loading, search, this);
        },
        search: _.debounce((loading, search, vm) => {
            fetch(
                `https://api.github.com/search/repositories?q=${escape(search)}`
            ).then(res => {
                res.json().then(json => (vm.options6 = json.items));
                loading(false);
            });
        }, 350)
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
